# StaticContext.hpp File Reference

`#include <xqilla/framework/XQillaExport.hpp>`
`#include <time.h>`
`#include <xqilla/schema/DocumentCache.hpp>`
`#include <xercesc/util/PlatformUtils.hpp>`
`#include <xercesc/util/XMemory.hpp>`

Include dependency graph for StaticContext.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | xercesc

## Classes

class | StaticContext
| The parse time static context interface. More...

## Typedefs

typedef std::vector< ASTNode *, XQillaAllocator< ASTNode * > > | VectorOfASTNodes

## Typedef Documentation

typedef std::vector<ASTNode*,XQillaAllocator<ASTNode*> > VectorOfASTNodes